package	jp.co.sds_corp.hibiya.connector;


/**
* {@link IConnector}の接続状態の変更を通知するオブジェクトのための
* インターフェースです。
*/
public interface IConnectionChanger
{
	/**
	* 接続状態の変更を受け取るオブジェクトを追加します。
	* @param	l		状態の変更を受け取るオブジェクト
	*/
	public void addConnectionListener( IConnectionListener l );

	/**
	* 接続状態の変更を受け取るオブジェクトを削除します。
	* @param	l		状態の変更を受け取るオブジェクト
	*/
	public void removeConnectionListener( IConnectionListener l );

	/**
	* 接続状態変更イベントを通知します。
	* @param	e		状態変更イベント
	*/
	public void fireConnected( ConnectionEvent e );
	/**
	* 接続状態変更イベントを通知します。
	* @param	e		状態変更イベント
	*/
	public void fireDisconnected( ConnectionEvent e );
}
